(load "src/zamba")

(define json "{\"method\": \"initialize\", \"jsonrpc\": \"2.0\", \"id\": 1, \"params\": {\"rootUri\": \"file:///home/tomes/workspace/zamba-ls/test/files\", \"initializationOptions\": {}, \"workspaceFolders\": [{\"uri\": \"file:///home/tomes/workspace/zamba-ls/test/files\", \"name\": \"/home/tomes/workspace/zamba-ls/test/files\"}], \"rootPath\": \"/home/tomes/workspace/zamba-ls/test/files\", \"processId\": 67318, \"trace\": \"off\", \"capabilities\": {\"workspace\": {\"workspaceFolders\": true, \"applyEdit\": true, \"symbol\": {\"symbolKind\": {\"valueSet\": [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26]}, \"dynamicRegistration\": false, \"hierarchicalWorkspaceSymbolSupport\": true}, \"configuration\": true}, \"callHierarchy\": {\"dynamicRegistration\": false}, \"textDocument\": {\"codeAction\": {\"codeActionLiteralSupport\": {\"codeActionKind\": {\"valueSet\": [\"\", \"RefactorInline\", \"source.organizeImports\", \"quickfix\", \"QuickFix\", \"Refactor\", \"Source\", \"RefactorRewrite\", \"refactor.inline\", \"RefactorExtract\", \"source\", \"SourceOrganizeImports\", \"refactor\", \"Empty\", \"refactor.rewrite\", \"refactor.extract\"]}}, \"dynamicRegistration\": false}, \"documentSymbol\": {\"symbolKind\": {\"valueSet\": [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26]}, \"dynamicRegistration\": false, \"hierarchicalDocumentSymbolSupport\": true}, \"signatureHelp\": {\"signatureInformation\": {\"documentationFormat\": [\"markdown\", \"plaintext\"]}, \"dynamicRegistration\": false}, \"rename\": {\"prepareSupport\": true, \"dynamicRegistration\": false}, \"synchronization\": {\"didSave\": true, \"willSaveWaitUntil\": false, \"willSave\": false, \"dynamicRegistration\": false}, \"references\": {\"dynamicRegistration\": false}, \"definition\": {\"linkSupport\": true}, \"completion\": {\"completionItem\": {\"snippetSupport\": false, \"commitCharactersSupport\": false, \"preselectSupport\": false, \"deprecatedSupport\": false, \"documentationFormat\": [\"markdown\", \"plaintext\"]}, \"contextSupport\": false, \"dynamicRegistration\": false, \"completionItemKind\": {\"valueSet\": [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25]}}, \"typeDefinition\": {\"linkSupport\": true}, \"documentHighlight\": {\"dynamicRegistration\": false}, \"hover\": {\"dynamicRegistration\": false, \"contentFormat\": [\"markdown\", \"plaintext\"]}, \"declaration\": {\"linkSupport\": true}, \"implementation\": {\"linkSupport\u1111\": true}}}}")

(json-encode
  (alist->list
  (call-with-input-string
    json
    (lambda (p) (json-decode p)))))

